/* CSS reset rule */
* {
    margin: 0; padding: 0;
}

/* type selector */

body {
    background-color: #34302B;
    color: #EEE;
    font-family: Verdana, Arial, sans-serif;
    padding: 12px;
    /* border: 8px solid #B1BABF; */
}

header {
    border: 2px solid #FF7900;
    padding: 12px;
}

/* child selector */

header > h1 {
    text-align: center;
    font-weight: normal;
    text-transform: uppercase;
    color: #D50A0A;
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 2px solid #0A0A08;
}

/* descedent selector */

header span {
    display: block;
    border: 0px;
    color: #D50A0A;
}

/* class selector */

.subtitle {
    text-align: center;
    /* border: 1px solid #B1BABF; */
    padding: 10px;
    line-height: 1.5;
    text-transform: lowercase;
    letter-spacing: 15px;
}

/* adjacent selector */

header + p {
    display: none;
}

/* ===================== */
/* CSS Examples */

section {
    display: flex;
    justify-content: center;
    flex-flow: row wrap;
    margin-bottom: 800px;
}

section article {
    border: 2px solid #FF7900;
    max-width: 360px;
    min-height: 200px;
    margin: 10px;
    flex: 0 0 auto;
    padding: 4px;
}

article h2 {
    font-size: 16pt;
}

article p {
    margin: 8px;
    line-height: 1.4;
}

/* ID Selector */
#art1 div {
    width: 70%;
    aspect-ratio: 2/1;
    background-color: skyblue;
    margin: 20px auto;
    border-radius: 20px;
}

#art2 div {
    width: 70%;
    aspect-ratio: 2/1;
    background-color: skyblue;
    margin: 20px auto;
    box-shadow: 5px 8px 12px white;
}

#art3 h2 {
    font-family: "Bungee Spice", sans-serif;
    text-align: center;
    font-size: 18pt;
}

#art4 {
    /* use position relative on the parent */
    position: relative;
}

#art4 h2 {
    color: #D50A0A;
    /* use position absolute on the child you want to manipulate */
    position: absolute;
    bottom: 5px; left: 0;
    /* border: 2px solid skyblue; */
    width: 100%;
    text-align: center;
}

#art5 {
    position: relative;
}

#art5 div {
    /* setting position absolute to all divs within art5 */
    position: absolute;
}

#art5 div:nth-of-type(1) {
    width: 40%; aspect-ratio: 1;
    background-color: skyblue;
    bottom: 10px; left: 24px;
    z-index: 10;
}

#art5 div:nth-of-type(2) {
    width: 40%; aspect-ratio: 1;
    background-color: forestgreen;
    bottom: -10px; right: 64px;
    z-index: 12;
}

#art6 {
    transition: all 300ms linear;
}

/* pseudo element */
#art6:hover {
    background-color: #FF7900;
    color: #D50A0A;
    border: 2px solid black;
}






















/* css ruleset, aka rule
selector {
    declaration1;
    declaration2;
    property: value;
    property: value;
    property: value1, value2, value3;
    property: value value;
}
    */


